#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 17. Networking Libraries

- Prev

  libsoup-2.72.0

- Next

  neon-0.31.2

- Up
- Home

# libtirpc-1.3.1

## Introduction to libtirpc

The libtirpc package contains libraries that support programs that use the Remote Procedure Call (RPC) API. It replaces the RPC, but not the NIS library entries that used to be in glibc.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/libtirpc/libtirpc-1.3.1.tar.bz2

- Download MD5 sum: f222e258c129c6da2f8f9cfe7f1ed745

- Download size: 504 KB

- Estimated disk space required: 8.0 MB

- Estimated build time: 0.1 SBU

### libtirpc Dependencies

#### Optional

MIT Kerberos V5-1.19.1 for the GSSAPI

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libtirpc

## Installation of libtirpc

### Note

If updating this package, you will also need to update any existing version of rpcbind-1.2.5

    ./configure --prefix=/usr                                   \
                --sysconfdir=/etc                               \
                --disable-static                                \
                --disable-gssapi                                &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install &&
    mv -v /usr/lib/libtirpc.so.* /lib &&
    ln -sfv ../../lib/libtirpc.so.3.0.0 /usr/lib/libtirpc.so

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--disable-gssapi`: This switch is needed if no GSSAPI is installed. Remove this switch if you have one installed (for example MIT Kerberos V5-1.19.1) and you wish to use it.

mv -v /usr/lib/libtirpc.so.* ...: Move shared libraries into /lib so they are available before /usr is mounted.

## Contents

Installed Programs: None
Installed Libraries: libtirpc.so
Installed Directory: /usr/include/tirpc

### Short Descriptions

`libtirpc.so` | provides the Remote Procedure Call (RPC) API functions required by other programs

Last updated on 2021-02-19 11:32:42 -0800

- Prev

  libsoup-2.72.0

- Next

  neon-0.31.2

- Up
- Home